package com.example.appmobile;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.FragmentTransaction;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.FrameLayout;

import com.example.appmobile.databinding.ActivityMainBinding;
import com.example.appmobile.databinding.ActivityTasksBinding;
import com.example.appmobile.helpers.ListAdapter;
import com.example.appmobile.helpers.User;

public class TasksActivity extends AppCompatActivity {

    private Button btn_open, btn_closed;

    ActivityTasksBinding binding;
    ListAdapter listAdapter;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ActivityTasksBinding.inflate(getLayoutInflater());

        setContentView(binding.getRoot());

        listAdapter = new ListAdapter(this, User.open);
        binding.tasksView.setAdapter(listAdapter);
        binding.tasksView.setClickable(true);

        btn_open = findViewById(R.id.save_new_task);
        btn_closed = findViewById(R.id.btn_closed);
        FrameLayout navBarFrameLayout = findViewById(R.id.nav_bar_task);

        NavigationFragment navBar = new NavigationFragment();
        FragmentTransaction ft = getSupportFragmentManager().beginTransaction();
        ft.replace(navBarFrameLayout.getId(), navBar);
        ft.commit();
    }

    public void onNew(View v){
        Intent intent = new Intent(this, NewTaskActivity.class);
        startActivity(intent);
    }

    @SuppressLint("UseCompatLoadingForDrawables")
    public void showOpen(View v){
        btn_open.setBackground(getDrawable(R.drawable.active_back));
        btn_open.setTextColor(getColorStateList(R.color.white));

        btn_closed.setBackground(getDrawable(R.drawable.not_active_back));
        btn_closed.setTextColor(getColorStateList(R.color.main_grey));

        listAdapter = new ListAdapter(this, User.open);
        binding.tasksView.setAdapter(listAdapter);
        binding.tasksView.setClickable(true);

    }

    @SuppressLint("UseCompatLoadingForDrawables")
    public void showClosed(View v){
        btn_closed.setBackground(getDrawable(R.drawable.active_back));
        btn_closed.setTextColor(getColorStateList(R.color.white));

        btn_open.setBackground(getDrawable(R.drawable.not_active_back));
        btn_open.setTextColor(getColorStateList(R.color.main_grey));

        listAdapter = new ListAdapter(this, User.closed);
        binding.tasksView.setAdapter(listAdapter);
        binding.tasksView.setClickable(true);

    }
}