package com.example.appmobile.helpers;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.example.appmobile.R;

import java.util.ArrayList;

public class ListAdapter extends ArrayAdapter<Task>{

    public ListAdapter(@NonNull Context context, ArrayList<Task> data) {
        super(context, R.layout.task_item, data);
    }

    @NonNull
    @Override
    public View getView(int position, @Nullable View view, @NonNull ViewGroup parent) {
        Task task = getItem(position);
        if(view == null)
            view = LayoutInflater.from(getContext()).inflate(R.layout.task_item,parent,false);

        TextView title = view.findViewById(R.id.view_title);
        TextView description = view.findViewById(R.id.view_desc);

        title.setText(task.title);
        description.setText(task.description);
        return view;
    }
}
